import { defineComponent as p, mergeModels as f, useModel as c, createElementBlock as y, openBlock as V, Fragment as b, createVNode as a, unref as e, withCtx as m } from "vue";
import { useI18n as g } from "vue-i18n";
import { c as u, d as i } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
import { b as d } from "./product-relation.json_vue_type_i18n_index_0_src_true_lang-BU5WW0ow.js";
const R = /* @__PURE__ */ p({
  __name: "PIMDataTypeProductRelationValueConfiguration",
  props: /* @__PURE__ */ f({
    attribute: {},
    dataTypeInstance: {},
    remoteScopes: {},
    remoteLanguages: {},
    remoteAttributes: {},
    readonly: { type: Boolean }
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(s) {
    const l = c(s, "modelValue"), { t: n } = g();
    return (r, o) => (V(), y(b, null, [
      a(e(u), null, {
        default: m(() => [
          a(e(i), {
            modelValue: l.value.minRelations,
            "onUpdate:modelValue": o[0] || (o[0] = (t) => l.value.minRelations = t),
            label: e(n)("pim-plugin.product-relation.minRelations"),
            readonly: r.readonly
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      a(e(u), null, {
        default: m(() => [
          a(e(i), {
            modelValue: l.value.maxRelations,
            "onUpdate:modelValue": o[1] || (o[1] = (t) => l.value.maxRelations = t),
            label: e(n)("pim-plugin.product-relation.maxRelations"),
            readonly: r.readonly
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      })
    ], 64));
  }
});
typeof d == "function" && d(R);
export {
  R as default
};
